/*===========================================================================*/
/*   (Pp/circle.scm)                                                         */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Pp/circle.scm -indent -o objs/obj_u/Pp/circle.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___PP_CIRCLE_TYPE_DEFINITIONS
#define BGL___PP_CIRCLE_TYPE_DEFINITIONS

/* object type definitions */

#endif													// BGL___PP_CIRCLE_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62jvmzd2debuggingzd2printz62zz__pp_circlez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol1839z00zz__pp_circlez00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__pp_circlez00 = BUNSPEC;
	extern obj_t bgl_write_ucs2(obj_t, obj_t);
	extern obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_writezd2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bgl_write_char(obj_t, obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__pp_circlez00(void);
	static obj_t BGl_objectzd2initzd2zz__pp_circlez00(void);
	extern obj_t BGl_createzd2hashtablezd2zz__hashz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL char *BGl_jvmzd2debuggingzd2printz00zz__pp_circlez00(obj_t,
		int);
	extern bool_t BGl_hashtablezf3zf3zz__hashz00(obj_t);
	extern obj_t BGl_writezd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_objectzd2printzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_displayzd2flonumzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__pp_circlez00(void);
	static obj_t BGl_registerze70ze7zz__pp_circlez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t dprint(obj_t);
	extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
	static obj_t BGl_loopzd2matchedze70z35zz__pp_circlez00(obj_t, obj_t, bool_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31351ze3ze5zz__pp_circlez00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31270ze3ze5zz__pp_circlez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3z04anonymousza31353ze3ze5zz__pp_circlez00(obj_t);
	static obj_t BGl__displayzd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	extern obj_t string_for_read(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__pp_circlez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t bgl_display_ucs2(obj_t, obj_t);
	extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl__writezd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	extern obj_t BGl_displayzd2ucs2stringzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__pp_circlez00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zz__pp_circlez00(void);
	extern obj_t BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__pp_circlez00(void);
	extern obj_t bgl_display_fixnum(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_displayzd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_writezd2circlezd2zz__pp_circlez00(obj_t, obj_t);
	static obj_t BGl_z62czd2debuggingzd2printz62zz__pp_circlez00(obj_t, obj_t);
	extern obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_displayzd2symbolzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_writezd2symbolzd2zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_circlezd2writezf2displayz20zz__pp_circlez00(obj_t, obj_t,
		bool_t);
	static obj_t BGl_z62outputzd2componentzb0zz__pp_circlez00(obj_t, bool_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_czd2debuggingzd2printzd2envzd2zz__pp_circlez00,
		BgL_bgl_za762cza7d2debugging1851z00,
		BGl_z62czd2debuggingzd2printz62zz__pp_circlez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jvmzd2debuggingzd2printzd2envzd2zz__pp_circlez00,
		BgL_bgl_za762jvmza7d2debuggi1852z00,
		BGl_z62jvmzd2debuggingzd2printz62zz__pp_circlez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_displayzd2circlezd2envz00zz__pp_circlez00,
		BgL_bgl__displayza7d2circl1853za7, opt_generic_entry,
		BGl__displayzd2circlezd2zz__pp_circlez00, BFALSE, -1);
	      BGL_DEFINE_REAL(BGl_real1841z00zz__pp_circlez00,
		BgL_bgl_real1841za700za7za7__p1854za7, 2.0);
	      BGL_DEFINE_STRING(BGl_string1834z00zz__pp_circlez00,
		BgL_bgl_string1834za700za7za7_1855za7, "/tmp/bigloo/runtime/Pp/circle.scm",
		33);
	      BGL_DEFINE_STRING(BGl_string1835z00zz__pp_circlez00,
		BgL_bgl_string1835za700za7za7_1856za7, "_display-circle", 15);
	      BGL_DEFINE_STRING(BGl_string1836z00zz__pp_circlez00,
		BgL_bgl_string1836za700za7za7_1857za7, "vector", 6);
	      BGL_DEFINE_STRING(BGl_string1837z00zz__pp_circlez00,
		BgL_bgl_string1837za700za7za7_1858za7, "output-port", 11);
	      BGL_DEFINE_STRING(BGl_string1838z00zz__pp_circlez00,
		BgL_bgl_string1838za700za7za7_1859za7, "_write-circle", 13);
	      BGL_DEFINE_STRING(BGl_string1840z00zz__pp_circlez00,
		BgL_bgl_string1840za700za7za7_1860za7, "none", 4);
	      BGL_DEFINE_STRING(BGl_string1842z00zz__pp_circlez00,
		BgL_bgl_string1842za700za7za7_1861za7, " . ", 3);
	      BGL_DEFINE_STRING(BGl_string1843z00zz__pp_circlez00,
		BgL_bgl_string1843za700za7za7_1862za7, "#{", 2);
	      BGL_DEFINE_STRING(BGl_string1844z00zz__pp_circlez00,
		BgL_bgl_string1844za700za7za7_1863za7, "#<cell:", 7);
	      BGL_DEFINE_STRING(BGl_string1845z00zz__pp_circlez00,
		BgL_bgl_string1845za700za7za7_1864za7, ">", 1);
	      BGL_DEFINE_STRING(BGl_string1846z00zz__pp_circlez00,
		BgL_bgl_string1846za700za7za7_1865za7, "#<mutex:", 8);
	      BGL_DEFINE_STRING(BGl_string1847z00zz__pp_circlez00,
		BgL_bgl_string1847za700za7za7_1866za7, "#<condition-variable:", 21);
	extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
	   
		 
		BGL_DEFINE_STRING(BGl_string1848z00zz__pp_circlez00,
		BgL_bgl_string1848za700za7za7_1867za7, "&jvm-debugging-print", 20);
	      BGL_DEFINE_STRING(BGl_string1849z00zz__pp_circlez00,
		BgL_bgl_string1849za700za7za7_1868za7, "bint", 4);
	      BGL_DEFINE_STRING(BGl_string1850z00zz__pp_circlez00,
		BgL_bgl_string1850za700za7za7_1869za7, "__pp_circle", 11);
	extern obj_t BGl_displayzd2envzd2zz__r4_output_6_10_3z00;
	extern obj_t BGl_writezd2envzd2zz__r4_output_6_10_3z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_writezd2circlezd2envz00zz__pp_circlez00,
		BgL_bgl__writeza7d2circleza71870z00, opt_generic_entry,
		BGl__writezd2circlezd2zz__pp_circlez00, BFALSE, -1);

/* contant bindings */
	static void bgl_constant_bindings()
	{
		BGL_BIND_PROCEDURE(BGl_writezd2circlezd2envz00zz__pp_circlez00,
			BgL_bgl__writeza7d2circleza71870z00);
		BGL_BIND_STRING(BGl_string1850z00zz__pp_circlez00,
			BgL_bgl_string1850za700za7za7_1869za7);
		BGL_BIND_STRING(BGl_string1849z00zz__pp_circlez00,
			BgL_bgl_string1849za700za7za7_1868za7);
		BGL_BIND_STRING(BGl_string1848z00zz__pp_circlez00,
			BgL_bgl_string1848za700za7za7_1867za7);
		BGL_BIND_STRING(BGl_string1847z00zz__pp_circlez00,
			BgL_bgl_string1847za700za7za7_1866za7);
		BGL_BIND_STRING(BGl_string1846z00zz__pp_circlez00,
			BgL_bgl_string1846za700za7za7_1865za7);
		BGL_BIND_STRING(BGl_string1845z00zz__pp_circlez00,
			BgL_bgl_string1845za700za7za7_1864za7);
		BGL_BIND_STRING(BGl_string1844z00zz__pp_circlez00,
			BgL_bgl_string1844za700za7za7_1863za7);
		BGL_BIND_STRING(BGl_string1843z00zz__pp_circlez00,
			BgL_bgl_string1843za700za7za7_1862za7);
		BGL_BIND_STRING(BGl_string1842z00zz__pp_circlez00,
			BgL_bgl_string1842za700za7za7_1861za7);
		BGL_BIND_STRING(BGl_string1840z00zz__pp_circlez00,
			BgL_bgl_string1840za700za7za7_1860za7);
		BGL_BIND_STRING(BGl_string1838z00zz__pp_circlez00,
			BgL_bgl_string1838za700za7za7_1859za7);
		BGL_BIND_STRING(BGl_string1837z00zz__pp_circlez00,
			BgL_bgl_string1837za700za7za7_1858za7);
		BGL_BIND_STRING(BGl_string1836z00zz__pp_circlez00,
			BgL_bgl_string1836za700za7za7_1857za7);
		BGL_BIND_STRING(BGl_string1835z00zz__pp_circlez00,
			BgL_bgl_string1835za700za7za7_1856za7);
		BGL_BIND_STRING(BGl_string1834z00zz__pp_circlez00,
			BgL_bgl_string1834za700za7za7_1855za7);
		BGL_BIND_REAL(BGl_real1841z00zz__pp_circlez00,
			BgL_bgl_real1841za700za7za7__p1854za7);
		BGL_BIND_PROCEDURE(BGl_displayzd2circlezd2envz00zz__pp_circlez00,
			BgL_bgl__displayza7d2circl1853za7);
		BGL_BIND_PROCEDURE(BGl_jvmzd2debuggingzd2printzd2envzd2zz__pp_circlez00,
			BgL_bgl_za762jvmza7d2debuggi1852z00);
		BGL_BIND_PROCEDURE(BGl_czd2debuggingzd2printzd2envzd2zz__pp_circlez00,
			BgL_bgl_za762cza7d2debugging1851z00);
	}

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;

		ADD_ROOT((void *) (&BGl_symbol1839z00zz__pp_circlez00));
		ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__pp_circlez00));
#undef ADD_ROOT
		if (roots_max > 0)
			GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__pp_circlez00(long
		BgL_checksumz00_2494, char *BgL_fromz00_2495)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__pp_circlez00))
				{
					BGl_requirezd2initializa7ationz75zz__pp_circlez00 =
						BBOOL(((bool_t) 0));
					bgl_constant_bindings();
					BGl_gczd2rootszd2initz00zz__pp_circlez00();
					BGl_cnstzd2initzd2zz__pp_circlez00();
					BGl_importedzd2moduleszd2initz00zz__pp_circlez00();
					return BGl_methodzd2initzd2zz__pp_circlez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__pp_circlez00(void)
	{
		{	/* Pp/circle.scm 26 */
			return (BGl_symbol1839z00zz__pp_circlez00 =
				bstring_to_symbol(BGl_string1840z00zz__pp_circlez00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__pp_circlez00(void)
	{
		{	/* Pp/circle.scm 26 */
			return bgl_gc_roots_register();
		}

	}



/* _display-circle */
	obj_t BGl__displayzd2circlezd2zz__pp_circlez00(obj_t BgL_env1128z00_6,
		obj_t BgL_opt1127z00_5)
	{
		{	/* Pp/circle.scm 82 */
			{	/* Pp/circle.scm 82 */
				obj_t BgL_g1129z00_1327;

				{
					obj_t BgL_auxz00_2506;

					if (VECTORP(BgL_opt1127z00_5))
						{	/* Pp/circle.scm 82 */
							BgL_auxz00_2506 = BgL_opt1127z00_5;
						}
					else
						{
							obj_t BgL_auxz00_2509;

							BgL_auxz00_2509 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1834z00zz__pp_circlez00, BINT(3230L),
								BGl_string1835z00zz__pp_circlez00,
								BGl_string1836z00zz__pp_circlez00, BgL_opt1127z00_5);
							FAILURE(BgL_auxz00_2509, BFALSE, BFALSE);
						}
					BgL_g1129z00_1327 = VECTOR_REF(BgL_auxz00_2506, 0L);
				}
				{	/* Pp/circle.scm 82 */
					long BgL_aux1131z00_1329;

					{
						obj_t BgL_auxz00_2514;

						if (VECTORP(BgL_opt1127z00_5))
							{	/* Pp/circle.scm 82 */
								BgL_auxz00_2514 = BgL_opt1127z00_5;
							}
						else
							{
								obj_t BgL_auxz00_2517;

								BgL_auxz00_2517 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1834z00zz__pp_circlez00, BINT(3230L),
									BGl_string1835z00zz__pp_circlez00,
									BGl_string1836z00zz__pp_circlez00, BgL_opt1127z00_5);
								FAILURE(BgL_auxz00_2517, BFALSE, BFALSE);
							}
						BgL_aux1131z00_1329 = VECTOR_LENGTH(BgL_auxz00_2514);
					}
					switch (BgL_aux1131z00_1329)
						{
						case 1L:

							{	/* Pp/circle.scm 82 */
								obj_t BgL_portz00_1330;

								{	/* Pp/circle.scm 82 */
									obj_t BgL_tmpz00_2522;

									BgL_tmpz00_2522 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_portz00_1330 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2522);
								}
								{	/* Pp/circle.scm 82 */

									return
										BGl_circlezd2writezf2displayz20zz__pp_circlez00
										(BgL_g1129z00_1327, BgL_portz00_1330, ((bool_t) 1));
								}
							}
							break;
						case 2L:

							{	/* Pp/circle.scm 82 */
								obj_t BgL_portz00_1331;

								{
									obj_t BgL_auxz00_2526;

									if (VECTORP(BgL_opt1127z00_5))
										{	/* Pp/circle.scm 82 */
											BgL_auxz00_2526 = BgL_opt1127z00_5;
										}
									else
										{
											obj_t BgL_auxz00_2529;

											BgL_auxz00_2529 =
												BGl_typezd2errorzd2zz__errorz00
												(BGl_string1834z00zz__pp_circlez00, BINT(3230L),
												BGl_string1835z00zz__pp_circlez00,
												BGl_string1836z00zz__pp_circlez00, BgL_opt1127z00_5);
											FAILURE(BgL_auxz00_2529, BFALSE, BFALSE);
										}
									BgL_portz00_1331 = VECTOR_REF(BgL_auxz00_2526, 1L);
								}
								{	/* Pp/circle.scm 82 */

									{	/* Pp/circle.scm 82 */
										obj_t BgL_portz00_2048;

										if (OUTPUT_PORTP(BgL_portz00_1331))
											{	/* Pp/circle.scm 82 */
												BgL_portz00_2048 = BgL_portz00_1331;
											}
										else
											{
												obj_t BgL_auxz00_2536;

												BgL_auxz00_2536 =
													BGl_typezd2errorzd2zz__errorz00
													(BGl_string1834z00zz__pp_circlez00, BINT(3230L),
													BGl_string1835z00zz__pp_circlez00,
													BGl_string1837z00zz__pp_circlez00, BgL_portz00_1331);
												FAILURE(BgL_auxz00_2536, BFALSE, BFALSE);
											}
										return
											BGl_circlezd2writezf2displayz20zz__pp_circlez00
											(BgL_g1129z00_1327, BgL_portz00_2048, ((bool_t) 1));
									}
								}
							}
							break;
						default:
							return BUNSPEC;
						}
				}
			}
		}

	}



/* display-circle */
	BGL_EXPORTED_DEF obj_t BGl_displayzd2circlezd2zz__pp_circlez00(obj_t
		BgL_oz00_3, obj_t BgL_portz00_4)
	{
		{	/* Pp/circle.scm 82 */
			return
				BGl_circlezd2writezf2displayz20zz__pp_circlez00(BgL_oz00_3,
				BgL_portz00_4, ((bool_t) 1));
		}

	}



/* _write-circle */
	obj_t BGl__writezd2circlezd2zz__pp_circlez00(obj_t BgL_env1133z00_10,
		obj_t BgL_opt1132z00_9)
	{
		{	/* Pp/circle.scm 88 */
			{	/* Pp/circle.scm 88 */
				obj_t BgL_g1134z00_1332;

				{
					obj_t BgL_auxz00_2543;

					if (VECTORP(BgL_opt1132z00_9))
						{	/* Pp/circle.scm 88 */
							BgL_auxz00_2543 = BgL_opt1132z00_9;
						}
					else
						{
							obj_t BgL_auxz00_2546;

							BgL_auxz00_2546 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string1834z00zz__pp_circlez00, BINT(3570L),
								BGl_string1838z00zz__pp_circlez00,
								BGl_string1836z00zz__pp_circlez00, BgL_opt1132z00_9);
							FAILURE(BgL_auxz00_2546, BFALSE, BFALSE);
						}
					BgL_g1134z00_1332 = VECTOR_REF(BgL_auxz00_2543, 0L);
				}
				{	/* Pp/circle.scm 88 */
					long BgL_aux1136z00_1334;

					{
						obj_t BgL_auxz00_2551;

						if (VECTORP(BgL_opt1132z00_9))
							{	/* Pp/circle.scm 88 */
								BgL_auxz00_2551 = BgL_opt1132z00_9;
							}
						else
							{
								obj_t BgL_auxz00_2554;

								BgL_auxz00_2554 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1834z00zz__pp_circlez00, BINT(3570L),
									BGl_string1838z00zz__pp_circlez00,
									BGl_string1836z00zz__pp_circlez00, BgL_opt1132z00_9);
								FAILURE(BgL_auxz00_2554, BFALSE, BFALSE);
							}
						BgL_aux1136z00_1334 = VECTOR_LENGTH(BgL_auxz00_2551);
					}
					switch (BgL_aux1136z00_1334)
						{
						case 1L:

							{	/* Pp/circle.scm 88 */
								obj_t BgL_portz00_1335;

								{	/* Pp/circle.scm 88 */
									obj_t BgL_tmpz00_2559;

									BgL_tmpz00_2559 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_portz00_1335 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2559);
								}
								{	/* Pp/circle.scm 88 */

									return
										BGl_circlezd2writezf2displayz20zz__pp_circlez00
										(BgL_g1134z00_1332, BgL_portz00_1335, ((bool_t) 0));
								}
							}
							break;
						case 2L:

							{	/* Pp/circle.scm 88 */
								obj_t BgL_portz00_1336;

								{
									obj_t BgL_auxz00_2563;

									if (VECTORP(BgL_opt1132z00_9))
										{	/* Pp/circle.scm 88 */
											BgL_auxz00_2563 = BgL_opt1132z00_9;
										}
									else
										{
											obj_t BgL_auxz00_2566;

											BgL_auxz00_2566 =
												BGl_typezd2errorzd2zz__errorz00
												(BGl_string1834z00zz__pp_circlez00, BINT(3570L),
												BGl_string1838z00zz__pp_circlez00,
												BGl_string1836z00zz__pp_circlez00, BgL_opt1132z00_9);
											FAILURE(BgL_auxz00_2566, BFALSE, BFALSE);
										}
									BgL_portz00_1336 = VECTOR_REF(BgL_auxz00_2563, 1L);
								}
								{	/* Pp/circle.scm 88 */

									{	/* Pp/circle.scm 88 */
										obj_t BgL_portz00_2051;

										if (OUTPUT_PORTP(BgL_portz00_1336))
											{	/* Pp/circle.scm 88 */
												BgL_portz00_2051 = BgL_portz00_1336;
											}
										else
											{
												obj_t BgL_auxz00_2573;

												BgL_auxz00_2573 =
													BGl_typezd2errorzd2zz__errorz00
													(BGl_string1834z00zz__pp_circlez00, BINT(3570L),
													BGl_string1838z00zz__pp_circlez00,
													BGl_string1837z00zz__pp_circlez00, BgL_portz00_1336);
												FAILURE(BgL_auxz00_2573, BFALSE, BFALSE);
											}
										return
											BGl_circlezd2writezf2displayz20zz__pp_circlez00
											(BgL_g1134z00_1332, BgL_portz00_2051, ((bool_t) 0));
									}
								}
							}
							break;
						default:
							return BUNSPEC;
						}
				}
			}
		}

	}



/* write-circle */
	BGL_EXPORTED_DEF obj_t BGl_writezd2circlezd2zz__pp_circlez00(obj_t BgL_oz00_7,
		obj_t BgL_portz00_8)
	{
		{	/* Pp/circle.scm 88 */
			return
				BGl_circlezd2writezf2displayz20zz__pp_circlez00(BgL_oz00_7,
				BgL_portz00_8, ((bool_t) 0));
		}

	}



/* circle-write/display */
	obj_t BGl_circlezd2writezf2displayz20zz__pp_circlez00(obj_t BgL_objz00_11,
		obj_t BgL_portz00_12, bool_t BgL_flagz00_13)
	{
		{	/* Pp/circle.scm 113 */
			{	/* Pp/circle.scm 114 */
				obj_t BgL_cachez00_2438;

				BgL_cachez00_2438 = BGL_MAKE_UNSAFE_CELL(BNIL);
				{	/* Pp/circle.scm 114 */
					struct bgl_unsafe_cell BgL_box1880_2470z00;
					obj_t BgL_cachezd2countzd2_2470;

					BgL_cachezd2countzd2_2470 =
						BGL_MAKE_UNSAFE_CELL_STACK(BINT(0L), BgL_box1880_2470z00);
					{	/* Pp/circle.scm 115 */
						obj_t BgL_nextzd2cardinalzd2_1339;

						{	/* Pp/circle.scm 116 */
							obj_t BgL_serialz00_2439;

							BgL_serialz00_2439 = BGL_MAKE_UNSAFE_CELL(BINT((-1L)));
							{	/* Pp/circle.scm 117 */
								obj_t BgL_zc3z04anonymousza31351ze3z87_2423;

								{
									int BgL_tmpz00_2582;

									BgL_tmpz00_2582 = (int) (1L);
									BgL_zc3z04anonymousza31351ze3z87_2423 =
										MAKE_EL_PROCEDURE(BgL_tmpz00_2582);
								}
								PROCEDURE_EL_SET(BgL_zc3z04anonymousza31351ze3z87_2423,
									(int) (0L), ((obj_t) BgL_serialz00_2439));
								BgL_nextzd2cardinalzd2_1339 =
									BgL_zc3z04anonymousza31351ze3z87_2423;
						}}
						{	/* Pp/circle.scm 116 */

							BGl_registerze70ze7zz__pp_circlez00(BgL_cachezd2countzd2_2470,
								BgL_cachez00_2438, BgL_objz00_11);
							BGl_z62outputzd2componentzb0zz__pp_circlez00
								(BgL_nextzd2cardinalzd2_1339, BgL_flagz00_13, BgL_portz00_12,
								BgL_cachez00_2438, BgL_objz00_11);
			}}}}
			return BUNSPEC;
		}

	}



/* register~0 */
	obj_t BGl_registerze70ze7zz__pp_circlez00(obj_t BgL_cachezd2countzd2_2467,
		obj_t BgL_cachez00_2466, obj_t BgL_objz00_1428)
	{
		{	/* Pp/circle.scm 176 */
		BGl_registerze70ze7zz__pp_circlez00:
			{	/* Pp/circle.scm 131 */
				bool_t BgL_test1881z00_2590;

				if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_objz00_1428))
					{	/* Pp/circle.scm 131 */
						BgL_test1881z00_2590 = ((bool_t) 1);
					}
				else
					{	/* Pp/circle.scm 131 */
						if (SYMBOLP(BgL_objz00_1428))
							{	/* Pp/circle.scm 132 */
								BgL_test1881z00_2590 = ((bool_t) 1);
							}
						else
							{	/* Pp/circle.scm 132 */
								if (STRINGP(BgL_objz00_1428))
									{	/* Pp/circle.scm 133 */
										BgL_test1881z00_2590 = ((bool_t) 1);
									}
								else
									{	/* Pp/circle.scm 133 */
										if (UCS2_STRINGP(BgL_objz00_1428))
											{	/* Pp/circle.scm 134 */
												BgL_test1881z00_2590 = ((bool_t) 1);
											}
										else
											{	/* Pp/circle.scm 134 */
												if (BGL_DATEP(BgL_objz00_1428))
													{	/* Pp/circle.scm 135 */
														BgL_test1881z00_2590 = ((bool_t) 1);
													}
												else
													{	/* Pp/circle.scm 135 */
														if (CNSTP(BgL_objz00_1428))
															{	/* Pp/circle.scm 136 */
																BgL_test1881z00_2590 = ((bool_t) 1);
															}
														else
															{	/* Pp/circle.scm 136 */
																if (NULLP(BgL_objz00_1428))
																	{	/* Pp/circle.scm 137 */
																		BgL_test1881z00_2590 = ((bool_t) 1);
																	}
																else
																	{	/* Pp/circle.scm 137 */
																		BgL_test1881z00_2590 =
																			BGl_classzf3zf3zz__objectz00
																			(BgL_objz00_1428);
																	}
															}
													}
											}
									}
							}
					}
				if (BgL_test1881z00_2590)
					{	/* Pp/circle.scm 131 */
						return BFALSE;
					}
				else
					{	/* Pp/circle.scm 139 */
						obj_t BgL_matchz00_1438;

						if (BGl_hashtablezf3zf3zz__hashz00(BGL_UNSAFE_CELL_REF
								(BgL_cachez00_2466)))
							{	/* Pp/circle.scm 123 */
								BgL_matchz00_1438 =
									BGl_hashtablezd2getzd2zz__hashz00(BGL_UNSAFE_CELL_REF
									(BgL_cachez00_2466), BgL_objz00_1428);
							}
						else
							{	/* Pp/circle.scm 123 */
								BgL_matchz00_1438 =
									BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_objz00_1428,
									BGL_UNSAFE_CELL_REF(BgL_cachez00_2466));
							}
						if (CBOOL(BgL_matchz00_1438))
							{	/* Pp/circle.scm 141 */
								obj_t BgL_tmpz00_2612;

								BgL_tmpz00_2612 = ((obj_t) BgL_matchz00_1438);
								return SET_CDR(BgL_tmpz00_2612, BTRUE);
							}
						else
							{	/* Pp/circle.scm 142 */
								obj_t BgL_entryz00_1439;

								BgL_entryz00_1439 = MAKE_YOUNG_PAIR(BgL_objz00_1428, BFALSE);
								if (BGl_hashtablezf3zf3zz__hashz00(BGL_UNSAFE_CELL_REF
										(BgL_cachez00_2466)))
									{	/* Pp/circle.scm 143 */
										BGl_hashtablezd2putz12zc0zz__hashz00(BGL_UNSAFE_CELL_REF
											(BgL_cachez00_2466), BgL_objz00_1428, BgL_entryz00_1439);
									}
								else
									{	/* Pp/circle.scm 145 */
										bool_t BgL_test1892z00_2619;

										{	/* Pp/circle.scm 145 */
											long BgL_n1z00_2056;

											BgL_n1z00_2056 =
												(long) CINT(
												((obj_t)
													((obj_t)
														BGL_UNSAFE_CELL_REF(BgL_cachezd2countzd2_2467))));
											BgL_test1892z00_2619 = (BgL_n1z00_2056 > 64L);
										}
										if (BgL_test1892z00_2619)
											{	/* Pp/circle.scm 146 */
												obj_t BgL_hz00_1442;

												BgL_hz00_1442 =
													BGl_createzd2hashtablezd2zz__hashz00(BGL_REAL_CNST
													(BGl_real1841z00zz__pp_circlez00),
													BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00, BFALSE,
													BINT(10L), BINT(16384L), BFALSE, BINT(128L),
													BGl_symbol1839z00zz__pp_circlez00);
												{
													obj_t BgL_l1108z00_1444;

													BgL_l1108z00_1444 =
														BGL_UNSAFE_CELL_REF(BgL_cachez00_2466);
												BgL_zc3z04anonymousza31295ze3z87_1445:
													if (PAIRP(BgL_l1108z00_1444))
														{	/* Pp/circle.scm 149 */
															{	/* Pp/circle.scm 150 */
																obj_t BgL_cellz00_1447;

																BgL_cellz00_1447 = CAR(BgL_l1108z00_1444);
																{	/* Pp/circle.scm 150 */
																	obj_t BgL_arg1298z00_1448;

																	BgL_arg1298z00_1448 =
																		CAR(((obj_t) BgL_cellz00_1447));
																	BGl_hashtablezd2putz12zc0zz__hashz00
																		(BgL_hz00_1442, BgL_arg1298z00_1448,
																		BgL_cellz00_1447);
																}
															}
															{
																obj_t BgL_l1108z00_2633;

																BgL_l1108z00_2633 = CDR(BgL_l1108z00_1444);
																BgL_l1108z00_1444 = BgL_l1108z00_2633;
																goto BgL_zc3z04anonymousza31295ze3z87_1445;
															}
														}
													else
														{	/* Pp/circle.scm 149 */
															((bool_t) 1);
														}
												}
												BGL_UNSAFE_CELL_SET(BgL_cachez00_2466, BgL_hz00_1442);
												{	/* Pp/circle.scm 153 */
													obj_t BgL_auxz00_2468;

													BgL_auxz00_2468 = BINT((-1L));
													BGL_UNSAFE_CELL_SET(BgL_cachezd2countzd2_2467,
														BgL_auxz00_2468);
												}
												BGl_hashtablezd2putz12zc0zz__hashz00(BGL_UNSAFE_CELL_REF
													(BgL_cachez00_2466), BgL_objz00_1428,
													BgL_entryz00_1439);
											}
										else
											{	/* Pp/circle.scm 145 */
												{	/* Pp/circle.scm 156 */
													obj_t BgL_auxz00_2445;

													BgL_auxz00_2445 =
														MAKE_YOUNG_PAIR(BgL_entryz00_1439,
														BGL_UNSAFE_CELL_REF(BgL_cachez00_2466));
													BGL_UNSAFE_CELL_SET(BgL_cachez00_2466,
														BgL_auxz00_2445);
												}
												{	/* Pp/circle.scm 157 */
													obj_t BgL_auxz00_2469;

													BgL_auxz00_2469 =
														ADDFX(
														((obj_t)
															((obj_t)
																BGL_UNSAFE_CELL_REF
																(BgL_cachezd2countzd2_2467))), BINT(1L));
													BGL_UNSAFE_CELL_SET(BgL_cachezd2countzd2_2467,
														BgL_auxz00_2469);
												}
											}
									}
								if (PAIRP(BgL_objz00_1428))
									{	/* Pp/circle.scm 159 */
										{	/* Pp/circle.scm 160 */
											obj_t BgL_arg1322z00_1460;

											BgL_arg1322z00_1460 = CAR(BgL_objz00_1428);
											BGl_registerze70ze7zz__pp_circlez00
												(BgL_cachezd2countzd2_2467, BgL_cachez00_2466,
												BgL_arg1322z00_1460);
										}
										{	/* Pp/circle.scm 161 */
											obj_t BgL_arg1329z00_1461;

											BgL_arg1329z00_1461 = CDR(BgL_objz00_1428);
											{
												obj_t BgL_objz00_2646;

												BgL_objz00_2646 = BgL_arg1329z00_1461;
												BgL_objz00_1428 = BgL_objz00_2646;
												goto BGl_registerze70ze7zz__pp_circlez00;
											}
										}
									}
								else
									{	/* Pp/circle.scm 159 */
										if (VECTORP(BgL_objz00_1428))
											{
												long BgL_iz00_2070;

												{	/* Pp/circle.scm 163 */
													bool_t BgL_tmpz00_2649;

													BgL_iz00_2070 = 0L;
												BgL_for1043z00_2069:
													if ((BgL_iz00_2070 < VECTOR_LENGTH(BgL_objz00_1428)))
														{	/* Pp/circle.scm 163 */
															{	/* Pp/circle.scm 164 */
																obj_t BgL_arg1333z00_2074;

																BgL_arg1333z00_2074 =
																	VECTOR_REF(
																	((obj_t) BgL_objz00_1428), BgL_iz00_2070);
																BGl_registerze70ze7zz__pp_circlez00
																	(BgL_cachezd2countzd2_2467, BgL_cachez00_2466,
																	BgL_arg1333z00_2074);
															}
															{
																long BgL_iz00_2656;

																BgL_iz00_2656 = (BgL_iz00_2070 + 1L);
																BgL_iz00_2070 = BgL_iz00_2656;
																goto BgL_for1043z00_2069;
															}
														}
													else
														{	/* Pp/circle.scm 163 */
															BgL_tmpz00_2649 = ((bool_t) 0);
														}
													return BBOOL(BgL_tmpz00_2649);
												}
											}
										else
											{	/* Pp/circle.scm 162 */
												if (STRUCTP(BgL_objz00_1428))
													{	/* Pp/circle.scm 166 */
														int BgL_stop1046z00_1472;

														BgL_stop1046z00_1472 =
															STRUCT_LENGTH(BgL_objz00_1428);
														{
															long BgL_iz00_2086;

															{	/* Pp/circle.scm 166 */
																bool_t BgL_tmpz00_2662;

																BgL_iz00_2086 = 0L;
															BgL_for1045z00_2085:
																if (
																	(BgL_iz00_2086 <
																		(long) (BgL_stop1046z00_1472)))
																	{	/* Pp/circle.scm 166 */
																		{	/* Pp/circle.scm 167 */
																			obj_t BgL_arg1338z00_2090;

																			BgL_arg1338z00_2090 =
																				STRUCT_REF(
																				((obj_t) BgL_objz00_1428),
																				(int) (BgL_iz00_2086));
																			BGl_registerze70ze7zz__pp_circlez00
																				(BgL_cachezd2countzd2_2467,
																				BgL_cachez00_2466, BgL_arg1338z00_2090);
																		}
																		{
																			long BgL_iz00_2670;

																			BgL_iz00_2670 = (BgL_iz00_2086 + 1L);
																			BgL_iz00_2086 = BgL_iz00_2670;
																			goto BgL_for1045z00_2085;
																		}
																	}
																else
																	{	/* Pp/circle.scm 166 */
																		BgL_tmpz00_2662 = ((bool_t) 0);
																	}
																return BBOOL(BgL_tmpz00_2662);
															}
														}
													}
												else
													{	/* Pp/circle.scm 165 */
														if (BGL_OBJECTP(BgL_objz00_1428))
															{	/* Pp/circle.scm 169 */
																obj_t BgL_klassz00_1481;

																{	/* Pp/circle.scm 169 */
																	obj_t BgL_arg1791z00_2096;
																	long BgL_arg1792z00_2097;

																	BgL_arg1791z00_2096 =
																		(BGl_za2classesza2z00zz__objectz00);
																	{	/* Pp/circle.scm 169 */
																		long BgL_arg1793z00_2098;

																		BgL_arg1793z00_2098 =
																			BGL_OBJECT_CLASS_NUM(
																			((BgL_objectz00_bglt) BgL_objz00_1428));
																		BgL_arg1792z00_2097 =
																			(BgL_arg1793z00_2098 - OBJECT_TYPE);
																	}
																	BgL_klassz00_1481 =
																		VECTOR_REF(BgL_arg1791z00_2096,
																		BgL_arg1792z00_2097);
																}
																{	/* Pp/circle.scm 169 */
																	obj_t BgL_fieldsz00_1482;

																	{	/* Pp/circle.scm 170 */
																		obj_t BgL_tmpz00_2680;

																		BgL_tmpz00_2680 =
																			((obj_t) BgL_klassz00_1481);
																		BgL_fieldsz00_1482 =
																			BGL_CLASS_ALL_FIELDS(BgL_tmpz00_2680);
																	}
																	{	/* Pp/circle.scm 170 */

																		{
																			long BgL_iz00_2112;

																			{	/* Pp/circle.scm 171 */
																				bool_t BgL_tmpz00_2683;

																				BgL_iz00_2112 = 0L;
																			BgL_for1047z00_2111:
																				if (
																					(BgL_iz00_2112 <
																						VECTOR_LENGTH(BgL_fieldsz00_1482)))
																					{	/* Pp/circle.scm 171 */
																						{	/* Pp/circle.scm 172 */
																							obj_t BgL_fz00_2116;

																							BgL_fz00_2116 =
																								VECTOR_REF(BgL_fieldsz00_1482,
																								BgL_iz00_2112);
																							{	/* Pp/circle.scm 172 */
																								obj_t BgL_gvz00_2119;

																								BgL_gvz00_2119 =
																									BGl_classzd2fieldzd2accessorz00zz__objectz00
																									(BgL_fz00_2116);
																								{	/* Pp/circle.scm 173 */

																									{	/* Pp/circle.scm 174 */
																										obj_t BgL_arg1343z00_2120;

																										BgL_arg1343z00_2120 =
																											BGL_PROCEDURE_CALL1
																											(BgL_gvz00_2119,
																											BgL_objz00_1428);
																										BGl_registerze70ze7zz__pp_circlez00
																											(BgL_cachezd2countzd2_2467,
																											BgL_cachez00_2466,
																											BgL_arg1343z00_2120);
																									}
																								}
																							}
																						}
																						{
																							long BgL_iz00_2694;

																							BgL_iz00_2694 =
																								(BgL_iz00_2112 + 1L);
																							BgL_iz00_2112 = BgL_iz00_2694;
																							goto BgL_for1047z00_2111;
																						}
																					}
																				else
																					{	/* Pp/circle.scm 171 */
																						BgL_tmpz00_2683 = ((bool_t) 0);
																					}
																				return BBOOL(BgL_tmpz00_2683);
																			}
																		}
																	}
																}
															}
														else
															{	/* Pp/circle.scm 168 */
																if (CELLP(BgL_objz00_1428))
																	{	/* Pp/circle.scm 176 */
																		obj_t BgL_arg1347z00_1494;

																		BgL_arg1347z00_1494 =
																			CELL_REF(BgL_objz00_1428);
																		{
																			obj_t BgL_objz00_2700;

																			BgL_objz00_2700 = BgL_arg1347z00_1494;
																			BgL_objz00_1428 = BgL_objz00_2700;
																			goto BGl_registerze70ze7zz__pp_circlez00;
																		}
																	}
																else
																	{	/* Pp/circle.scm 175 */
																		return BFALSE;
																	}
															}
													}
											}
									}
							}
					}
			}
		}

	}



/* &output-component */
	obj_t BGl_z62outputzd2componentzb0zz__pp_circlez00(obj_t
		BgL_nextzd2cardinalzd2_2427, bool_t BgL_flagz00_2426,
		obj_t BgL_portz00_2425, obj_t BgL_cachez00_2424, obj_t BgL_objz00_1346)
	{
		{	/* Pp/circle.scm 191 */
			{	/* Pp/circle.scm 192 */
				obj_t BgL_g1049z00_1348;

				if (BGl_hashtablezf3zf3zz__hashz00(BGL_UNSAFE_CELL_REF
						(BgL_cachez00_2424)))
					{	/* Pp/circle.scm 123 */
						BgL_g1049z00_1348 =
							BGl_hashtablezd2getzd2zz__hashz00(BGL_UNSAFE_CELL_REF
							(BgL_cachez00_2424), BgL_objz00_1346);
					}
				else
					{	/* Pp/circle.scm 123 */
						BgL_g1049z00_1348 =
							BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_objz00_1346,
							BGL_UNSAFE_CELL_REF(BgL_cachez00_2424));
					}
				return
					BGl_loopzd2matchedze70z35zz__pp_circlez00(BgL_nextzd2cardinalzd2_2427,
					BgL_cachez00_2424, BgL_flagz00_2426, BgL_portz00_2425,
					BgL_objz00_1346, BgL_g1049z00_1348);
			}
		}

	}



/* loop-matched~0 */
	obj_t BGl_loopzd2matchedze70z35zz__pp_circlez00(obj_t
		BgL_nextzd2cardinalzd2_2465, obj_t BgL_cachez00_2464,
		bool_t BgL_flagz00_2463, obj_t BgL_portz00_2462, obj_t BgL_objz00_1350,
		obj_t BgL_matchz00_1351)
	{
		{	/* Pp/circle.scm 192 */
		BGl_loopzd2matchedze70z35zz__pp_circlez00:
			if (CBOOL(BgL_matchz00_1351))
				{	/* Pp/circle.scm 195 */
					obj_t BgL_valuez00_1353;

					BgL_valuez00_1353 = CDR(((obj_t) BgL_matchz00_1351));
					if (INTEGERP(BgL_valuez00_1353))
						{	/* Pp/circle.scm 197 */
							bgl_display_char(((unsigned char) '#'), BgL_portz00_2462);
							BGl_z62outputzd2componentzb0zz__pp_circlez00
								(BgL_nextzd2cardinalzd2_2465, BgL_flagz00_2463,
								BgL_portz00_2462, BgL_cachez00_2464, BgL_valuez00_1353);
							return bgl_display_char(((unsigned char) '#'), BgL_portz00_2462);
						}
					else
						{	/* Pp/circle.scm 197 */
							if (CBOOL(BgL_valuez00_1353))
								{	/* Pp/circle.scm 204 */
									obj_t BgL_serialz00_1355;

									BgL_serialz00_1355 =
										BGl_z62zc3z04anonymousza31351ze3ze5zz__pp_circlez00
										(BgL_nextzd2cardinalzd2_2465);
									{	/* Pp/circle.scm 205 */
										obj_t BgL_tmpz00_2720;

										BgL_tmpz00_2720 = ((obj_t) BgL_matchz00_1351);
										SET_CDR(BgL_tmpz00_2720, BgL_serialz00_1355);
									}
									bgl_display_char(((unsigned char) '#'), BgL_portz00_2462);
									BGl_z62outputzd2componentzb0zz__pp_circlez00
										(BgL_nextzd2cardinalzd2_2465, BgL_flagz00_2463,
										BgL_portz00_2462, BgL_cachez00_2464, BgL_serialz00_1355);
									bgl_display_char(((unsigned char) '='), BgL_portz00_2462);
									{
										obj_t BgL_matchz00_2726;

										BgL_matchz00_2726 = BFALSE;
										BgL_matchz00_1351 = BgL_matchz00_2726;
										goto BGl_loopzd2matchedze70z35zz__pp_circlez00;
									}
								}
							else
								{
									obj_t BgL_matchz00_2727;

									BgL_matchz00_2727 = BFALSE;
									BgL_matchz00_1351 = BgL_matchz00_2727;
									goto BGl_loopzd2matchedze70z35zz__pp_circlez00;
								}
						}
				}
			else
				{	/* Pp/circle.scm 194 */
					if (INTEGERP(BgL_objz00_1350))
						{	/* Pp/circle.scm 216 */
							return bgl_display_fixnum(BgL_objz00_1350, BgL_portz00_2462);
						}
					else
						{	/* Pp/circle.scm 216 */
							if (CHARP(BgL_objz00_1350))
								{	/* Pp/circle.scm 219 */
									if (BgL_flagz00_2463)
										{	/* Pp/circle.scm 221 */
											unsigned char BgL_tmpz00_2734;

											BgL_tmpz00_2734 = CCHAR(BgL_objz00_1350);
											return
												bgl_display_char(BgL_tmpz00_2734, BgL_portz00_2462);
										}
									else
										{	/* Pp/circle.scm 220 */
											return bgl_write_char(BgL_objz00_1350, BgL_portz00_2462);
										}
								}
							else
								{	/* Pp/circle.scm 219 */
									if (SYMBOLP(BgL_objz00_1350))
										{	/* Pp/circle.scm 224 */
											if (BgL_flagz00_2463)
												{	/* Pp/circle.scm 225 */
													return
														BGl_displayzd2symbolzd2zz__r4_output_6_10_3z00
														(BgL_objz00_1350, BgL_portz00_2462);
												}
											else
												{	/* Pp/circle.scm 225 */
													return
														BGl_writezd2symbolzd2zz__r4_output_6_10_3z00
														(BgL_objz00_1350, BgL_portz00_2462);
												}
										}
									else
										{	/* Pp/circle.scm 224 */
											if (STRINGP(BgL_objz00_1350))
												{	/* Pp/circle.scm 229 */
													if (BgL_flagz00_2463)
														{	/* Pp/circle.scm 230 */
															return
																bgl_display_string(BgL_objz00_1350,
																BgL_portz00_2462);
														}
													else
														{	/* Pp/circle.scm 230 */
															return
																BGl_writezd2stringzd2zz__r4_output_6_10_3z00
																(string_for_read(BgL_objz00_1350),
																BgL_portz00_2462);
														}
												}
											else
												{	/* Pp/circle.scm 229 */
													if (PAIRP(BgL_objz00_1350))
														{	/* Pp/circle.scm 234 */
															bgl_display_char(((unsigned char) '('),
																BgL_portz00_2462);
															{
																obj_t BgL_lz00_1363;

																BgL_lz00_1363 = BgL_objz00_1350;
															BgL_zc3z04anonymousza31236ze3z87_1364:
																{	/* Pp/circle.scm 237 */
																	obj_t BgL_arg1239z00_1365;

																	BgL_arg1239z00_1365 =
																		CAR(((obj_t) BgL_lz00_1363));
																	BGl_z62outputzd2componentzb0zz__pp_circlez00
																		(BgL_nextzd2cardinalzd2_2465,
																		BgL_flagz00_2463, BgL_portz00_2462,
																		BgL_cachez00_2464, BgL_arg1239z00_1365);
																}
																{	/* Pp/circle.scm 238 */
																	obj_t BgL_restz00_1366;

																	BgL_restz00_1366 =
																		CDR(((obj_t) BgL_lz00_1363));
																	if (NULLP(BgL_restz00_1366))
																		{	/* Pp/circle.scm 239 */
																			return
																				bgl_display_char(((unsigned char) ')'),
																				BgL_portz00_2462);
																		}
																	else
																		{	/* Pp/circle.scm 241 */
																			obj_t BgL_matchz00_1368;

																			if (BGl_hashtablezf3zf3zz__hashz00
																				(BGL_UNSAFE_CELL_REF
																					(BgL_cachez00_2464)))
																				{	/* Pp/circle.scm 123 */
																					BgL_matchz00_1368 =
																						BGl_hashtablezd2getzd2zz__hashz00
																						(BGL_UNSAFE_CELL_REF
																						(BgL_cachez00_2464),
																						BgL_restz00_1366);
																				}
																			else
																				{	/* Pp/circle.scm 123 */
																					BgL_matchz00_1368 =
																						BGl_assqz00zz__r4_pairs_and_lists_6_3z00
																						(BgL_restz00_1366,
																						BGL_UNSAFE_CELL_REF
																						(BgL_cachez00_2464));
																				}
																			{	/* Pp/circle.scm 242 */
																				bool_t BgL_test1916z00_2764;

																				if (PAIRP(BgL_restz00_1366))
																					{	/* Pp/circle.scm 242 */
																						if (CBOOL(BgL_matchz00_1368))
																							{	/* Pp/circle.scm 243 */
																								BgL_test1916z00_2764 =
																									CBOOL(CDR(
																										((obj_t)
																											BgL_matchz00_1368)));
																							}
																						else
																							{	/* Pp/circle.scm 243 */
																								BgL_test1916z00_2764 =
																									((bool_t) 0);
																							}
																					}
																				else
																					{	/* Pp/circle.scm 242 */
																						BgL_test1916z00_2764 = ((bool_t) 1);
																					}
																				if (BgL_test1916z00_2764)
																					{	/* Pp/circle.scm 242 */
																						bgl_display_string
																							(BGl_string1842z00zz__pp_circlez00,
																							BgL_portz00_2462);
																						BGl_loopzd2matchedze70z35zz__pp_circlez00
																							(BgL_nextzd2cardinalzd2_2465,
																							BgL_cachez00_2464,
																							BgL_flagz00_2463,
																							BgL_portz00_2462,
																							BgL_restz00_1366,
																							BgL_matchz00_1368);
																						return bgl_display_char(((unsigned
																									char) ')'), BgL_portz00_2462);
																					}
																				else
																					{	/* Pp/circle.scm 242 */
																						bgl_display_char(((unsigned char)
																								' '), BgL_portz00_2462);
																						{
																							obj_t BgL_lz00_2776;

																							BgL_lz00_2776 = BgL_restz00_1366;
																							BgL_lz00_1363 = BgL_lz00_2776;
																							goto
																								BgL_zc3z04anonymousza31236ze3z87_1364;
																						}
																					}
																			}
																		}
																}
															}
														}
													else
														{	/* Pp/circle.scm 234 */
															if (BGl_classzf3zf3zz__objectz00(BgL_objz00_1350))
																{	/* Pp/circle.scm 252 */
																	return
																		bgl_display_obj(BgL_objz00_1350,
																		BgL_portz00_2462);
																}
															else
																{	/* Pp/circle.scm 252 */
																	if (VECTORP(BgL_objz00_1350))
																		{	/* Pp/circle.scm 255 */
																			bgl_display_char(((unsigned char) '#'),
																				BgL_portz00_2462);
																			{	/* Pp/circle.scm 257 */
																				int BgL_tagz00_1377;

																				BgL_tagz00_1377 =
																					VECTOR_TAG(BgL_objz00_1350);
																				if (((long) (BgL_tagz00_1377) > 0L))
																					{	/* Pp/circle.scm 258 */
																						if (
																							((long) (BgL_tagz00_1377) < 100L))
																							{	/* Pp/circle.scm 259 */
																								if (
																									((long) (BgL_tagz00_1377) >
																										10L))
																									{	/* Pp/circle.scm 261 */
																										bgl_display_char(((unsigned
																													char) '0'),
																											BgL_portz00_2462);
																									}
																								else
																									{	/* Pp/circle.scm 261 */
																										BFALSE;
																									}
																								bgl_display_char(((unsigned
																											char) '0'),
																									BgL_portz00_2462);
																							}
																						else
																							{	/* Pp/circle.scm 263 */
																								obj_t BgL_list1248z00_1381;

																								BgL_list1248z00_1381 =
																									MAKE_YOUNG_PAIR
																									(BgL_portz00_2462, BNIL);
																								BGl_writez00zz__r4_output_6_10_3z00
																									(BINT(BgL_tagz00_1377),
																									BgL_list1248z00_1381);
																							}
																					}
																				else
																					{	/* Pp/circle.scm 258 */
																						BFALSE;
																					}
																			}
																			bgl_display_char(((unsigned char) '('),
																				BgL_portz00_2462);
																			{
																				long BgL_iz00_1384;

																				BgL_iz00_1384 = 0L;
																			BgL_zc3z04anonymousza31249ze3z87_1385:
																				if (
																					(BgL_iz00_1384 ==
																						VECTOR_LENGTH(BgL_objz00_1350)))
																					{	/* Pp/circle.scm 267 */
																						((bool_t) 0);
																					}
																				else
																					{	/* Pp/circle.scm 267 */
																						{	/* Pp/circle.scm 269 */
																							obj_t BgL_arg1252z00_1387;

																							BgL_arg1252z00_1387 =
																								VECTOR_REF(
																								((obj_t) BgL_objz00_1350),
																								BgL_iz00_1384);
																							BGl_z62outputzd2componentzb0zz__pp_circlez00
																								(BgL_nextzd2cardinalzd2_2465,
																								BgL_flagz00_2463,
																								BgL_portz00_2462,
																								BgL_cachez00_2464,
																								BgL_arg1252z00_1387);
																						}
																						{	/* Pp/circle.scm 270 */
																							long BgL_nextz00_1388;

																							BgL_nextz00_1388 =
																								(1L + BgL_iz00_1384);
																							if (
																								(BgL_nextz00_1388 ==
																									VECTOR_LENGTH
																									(BgL_objz00_1350)))
																								{	/* Pp/circle.scm 271 */
																									BFALSE;
																								}
																							else
																								{	/* Pp/circle.scm 271 */
																									bgl_display_char(((unsigned
																												char) ' '),
																										BgL_portz00_2462);
																								}
																							{
																								long BgL_iz00_2810;

																								BgL_iz00_2810 =
																									(1L + BgL_iz00_1384);
																								BgL_iz00_1384 = BgL_iz00_2810;
																								goto
																									BgL_zc3z04anonymousza31249ze3z87_1385;
																							}
																						}
																					}
																			}
																			return
																				bgl_display_char(((unsigned char) ')'),
																				BgL_portz00_2462);
																		}
																	else
																		{	/* Pp/circle.scm 255 */
																			if (STRUCTP(BgL_objz00_1350))
																				{	/* Pp/circle.scm 276 */
																					bgl_display_string
																						(BGl_string1843z00zz__pp_circlez00,
																						BgL_portz00_2462);
																					{	/* Pp/circle.scm 278 */
																						obj_t BgL_arg1258z00_1393;

																						BgL_arg1258z00_1393 =
																							STRUCT_KEY(BgL_objz00_1350);
																						{	/* Pp/circle.scm 278 */
																							obj_t BgL_list1259z00_1394;

																							BgL_list1259z00_1394 =
																								MAKE_YOUNG_PAIR
																								(BgL_portz00_2462, BNIL);
																							BGl_writez00zz__r4_output_6_10_3z00
																								(BgL_arg1258z00_1393,
																								BgL_list1259z00_1394);
																						}
																					}
																					bgl_display_char(((unsigned char)
																							' '), BgL_portz00_2462);
																					{	/* Pp/circle.scm 280 */
																						int BgL_lenz00_1395;

																						BgL_lenz00_1395 =
																							STRUCT_LENGTH(BgL_objz00_1350);
																						{
																							long BgL_iz00_1397;

																							BgL_iz00_1397 = 0L;
																						BgL_zc3z04anonymousza31260ze3z87_1398:
																							if (
																								(BgL_iz00_1397 ==
																									(long) (BgL_lenz00_1395)))
																								{	/* Pp/circle.scm 282 */
																									((bool_t) 0);
																								}
																							else
																								{	/* Pp/circle.scm 282 */
																									{	/* Pp/circle.scm 284 */
																										obj_t BgL_arg1262z00_1400;

																										BgL_arg1262z00_1400 =
																											STRUCT_REF(
																											((obj_t) BgL_objz00_1350),
																											(int) (BgL_iz00_1397));
																										BGl_z62outputzd2componentzb0zz__pp_circlez00
																											(BgL_nextzd2cardinalzd2_2465,
																											BgL_flagz00_2463,
																											BgL_portz00_2462,
																											BgL_cachez00_2464,
																											BgL_arg1262z00_1400);
																									}
																									{	/* Pp/circle.scm 285 */
																										long BgL_nextz00_1401;

																										BgL_nextz00_1401 =
																											(1L + BgL_iz00_1397);
																										if (
																											(BgL_nextz00_1401 ==
																												(long)
																												(BgL_lenz00_1395)))
																											{	/* Pp/circle.scm 286 */
																												BFALSE;
																											}
																										else
																											{	/* Pp/circle.scm 286 */
																												bgl_display_char((
																														(unsigned char)
																														' '),
																													BgL_portz00_2462);
																											}
																										{
																											long BgL_iz00_2833;

																											BgL_iz00_2833 =
																												(1L + BgL_iz00_1397);
																											BgL_iz00_1397 =
																												BgL_iz00_2833;
																											goto
																												BgL_zc3z04anonymousza31260ze3z87_1398;
																										}
																									}
																								}
																						}
																					}
																					return
																						bgl_display_char(((unsigned char)
																							'}'), BgL_portz00_2462);
																				}
																			else
																				{	/* Pp/circle.scm 276 */
																					if (CELLP(BgL_objz00_1350))
																						{	/* Pp/circle.scm 291 */
																							bgl_display_string
																								(BGl_string1844z00zz__pp_circlez00,
																								BgL_portz00_2462);
																							{	/* Pp/circle.scm 293 */
																								obj_t BgL_arg1267z00_1406;

																								BgL_arg1267z00_1406 =
																									CELL_REF(BgL_objz00_1350);
																								BGl_z62outputzd2componentzb0zz__pp_circlez00
																									(BgL_nextzd2cardinalzd2_2465,
																									BgL_flagz00_2463,
																									BgL_portz00_2462,
																									BgL_cachez00_2464,
																									BgL_arg1267z00_1406);
																							}
																							return
																								bgl_display_string
																								(BGl_string1845z00zz__pp_circlez00,
																								BgL_portz00_2462);
																						}
																					else
																						{	/* Pp/circle.scm 291 */
																							if (BGL_OBJECTP(BgL_objz00_1350))
																								{	/* Pp/circle.scm 298 */
																									obj_t
																										BgL_zc3z04anonymousza31270ze3z87_2421;
																									BgL_zc3z04anonymousza31270ze3z87_2421
																										=
																										MAKE_VA_PROCEDURE
																										(BGl_z62zc3z04anonymousza31270ze3ze5zz__pp_circlez00,
																										(int) ((-2L)), (int) (4L));
																									PROCEDURE_SET
																										(BgL_zc3z04anonymousza31270ze3z87_2421,
																										(int) (0L),
																										((obj_t)
																											BgL_cachez00_2464));
																									PROCEDURE_SET
																										(BgL_zc3z04anonymousza31270ze3z87_2421,
																										(int) (1L),
																										BgL_portz00_2462);
																									PROCEDURE_SET
																										(BgL_zc3z04anonymousza31270ze3z87_2421,
																										(int) (2L),
																										BBOOL(BgL_flagz00_2463));
																									PROCEDURE_SET
																										(BgL_zc3z04anonymousza31270ze3z87_2421,
																										(int) (3L),
																										BgL_nextzd2cardinalzd2_2465);
																									return
																										BGl_objectzd2printzd2zz__objectz00
																										(((BgL_objectz00_bglt)
																											BgL_objz00_1350),
																										BgL_portz00_2462,
																										BgL_zc3z04anonymousza31270ze3z87_2421);
																								}
																							else
																								{	/* Pp/circle.scm 296 */
																									if (UCS2_STRINGP
																										(BgL_objz00_1350))
																										{	/* Pp/circle.scm 300 */
																											if (BgL_flagz00_2463)
																												{	/* Pp/circle.scm 301 */
																													return
																														BGl_displayzd2ucs2stringzd2zz__r4_output_6_10_3z00
																														(BgL_objz00_1350,
																														BgL_portz00_2462);
																												}
																											else
																												{	/* Pp/circle.scm 301 */
																													return
																														BGl_writezd2ucs2stringzd2zz__r4_output_6_10_3z00
																														(BgL_objz00_1350,
																														BgL_portz00_2462);
																												}
																										}
																									else
																										{	/* Pp/circle.scm 300 */
																											if (UCS2P
																												(BgL_objz00_1350))
																												{	/* Pp/circle.scm 305 */
																													if (BgL_flagz00_2463)
																														{	/* Pp/circle.scm 306 */
																															return
																																bgl_display_ucs2
																																(BgL_objz00_1350,
																																BgL_portz00_2462);
																														}
																													else
																														{	/* Pp/circle.scm 306 */
																															return
																																bgl_write_ucs2
																																(BgL_objz00_1350,
																																BgL_portz00_2462);
																														}
																												}
																											else
																												{	/* Pp/circle.scm 305 */
																													if (REALP
																														(BgL_objz00_1350))
																														{	/* Pp/circle.scm 310 */
																															return
																																BGl_displayzd2flonumzd2zz__r4_output_6_10_3z00
																																(BgL_objz00_1350,
																																BgL_portz00_2462);
																														}
																													else
																														{	/* Pp/circle.scm 310 */
																															if (BGL_DATEP
																																(BgL_objz00_1350))
																																{	/* Pp/circle.scm 313 */
																																	if (BgL_flagz00_2463)
																																		{	/* Pp/circle.scm 314 */
																																			return
																																				bgl_display_obj
																																				(BgL_objz00_1350,
																																				BgL_portz00_2462);
																																		}
																																	else
																																		{	/* Pp/circle.scm 316 */
																																			obj_t
																																				BgL_list1275z00_1417;
																																			BgL_list1275z00_1417
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_portz00_2462,
																																				BNIL);
																																			return
																																				BGl_writez00zz__r4_output_6_10_3z00
																																				(BgL_objz00_1350,
																																				BgL_list1275z00_1417);
																																		}
																																}
																															else
																																{	/* Pp/circle.scm 313 */
																																	if (BGL_MUTEXP
																																		(BgL_objz00_1350))
																																		{	/* Pp/circle.scm 318 */
																																			bgl_display_string
																																				(BGl_string1846z00zz__pp_circlez00,
																																				BgL_portz00_2462);
																																			{	/* Pp/circle.scm 320 */
																																				obj_t
																																					BgL_arg1278z00_1419;
																																				{	/* Pp/circle.scm 320 */
																																					obj_t
																																						BgL_tmpz00_2881;
																																					BgL_tmpz00_2881
																																						=
																																						(
																																						(obj_t)
																																						BgL_objz00_1350);
																																					BgL_arg1278z00_1419
																																						=
																																						BGL_MUTEX_NAME
																																						(BgL_tmpz00_2881);
																																				}
																																				bgl_display_obj
																																					(BgL_arg1278z00_1419,
																																					BgL_portz00_2462);
																																			}
																																			return
																																				bgl_display_string
																																				(BGl_string1845z00zz__pp_circlez00,
																																				BgL_portz00_2462);
																																		}
																																	else
																																		{	/* Pp/circle.scm 318 */
																																			if (BGL_CONDVARP(BgL_objz00_1350))
																																				{	/* Pp/circle.scm 323 */
																																					bgl_display_string
																																						(BGl_string1847z00zz__pp_circlez00,
																																						BgL_portz00_2462);
																																					{	/* Pp/circle.scm 325 */
																																						obj_t
																																							BgL_arg1280z00_1421;
																																						{	/* Pp/circle.scm 325 */
																																							obj_t
																																								BgL_tmpz00_2889;
																																							BgL_tmpz00_2889
																																								=
																																								(
																																								(obj_t)
																																								BgL_objz00_1350);
																																							BgL_arg1280z00_1421
																																								=
																																								BGL_CONDVAR_NAME
																																								(BgL_tmpz00_2889);
																																						}
																																						bgl_display_obj
																																							(BgL_arg1280z00_1421,
																																							BgL_portz00_2462);
																																					}
																																					return
																																						bgl_display_string
																																						(BGl_string1845z00zz__pp_circlez00,
																																						BgL_portz00_2462);
																																				}
																																			else
																																				{	/* Pp/circle.scm 329 */
																																					obj_t
																																						BgL_list1281z00_1422;
																																					BgL_list1281z00_1422
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_portz00_2462,
																																						BNIL);
																																					return
																																						BGl_writez00zz__r4_output_6_10_3z00
																																						(BgL_objz00_1350,
																																						BgL_list1281z00_1422);
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}

	}



/* &<@anonymous:1270> */
	obj_t BGl_z62zc3z04anonymousza31270ze3ze5zz__pp_circlez00(obj_t
		BgL_envz00_2428, obj_t BgL_xz00_2433, obj_t BgL_pz00_2434)
	{
		{	/* Pp/circle.scm 297 */
			{	/* Pp/circle.scm 298 */
				obj_t BgL_cachez00_2429;
				obj_t BgL_portz00_2430;
				bool_t BgL_flagz00_2431;
				obj_t BgL_nextzd2cardinalzd2_2432;

				BgL_cachez00_2429 = PROCEDURE_REF(BgL_envz00_2428, (int) (0L));
				BgL_portz00_2430 = ((obj_t) PROCEDURE_REF(BgL_envz00_2428, (int) (1L)));
				BgL_flagz00_2431 = CBOOL(PROCEDURE_REF(BgL_envz00_2428, (int) (2L)));
				BgL_nextzd2cardinalzd2_2432 =
					((obj_t) PROCEDURE_REF(BgL_envz00_2428, (int) (3L)));
				return
					BGl_z62outputzd2componentzb0zz__pp_circlez00
					(BgL_nextzd2cardinalzd2_2432, BgL_flagz00_2431, BgL_portz00_2430,
					BgL_cachez00_2429, BgL_xz00_2433);
			}
		}

	}



/* &<@anonymous:1351> */
	obj_t BGl_z62zc3z04anonymousza31351ze3ze5zz__pp_circlez00(obj_t
		BgL_envz00_2435)
	{
		{	/* Pp/circle.scm 117 */
			{	/* Pp/circle.scm 118 */
				obj_t BgL_serialz00_2436;

				BgL_serialz00_2436 = PROCEDURE_EL_REF(BgL_envz00_2435, (int) (0L));
				{	/* Pp/circle.scm 118 */
					obj_t BgL_auxz00_2490;

					BgL_auxz00_2490 =
						ADDFX(BINT(1L), BGL_UNSAFE_CELL_REF(BgL_serialz00_2436));
					BGL_UNSAFE_CELL_SET(BgL_serialz00_2436, BgL_auxz00_2490);
				}
				return BGL_UNSAFE_CELL_REF(BgL_serialz00_2436);
			}
		}

	}



/* c-debugging-print */
	BGL_EXPORTED_DEF obj_t dprint(obj_t BgL_objz00_14)
	{
		{	/* Pp/circle.scm 335 */
			{	/* Pp/circle.scm 336 */
				obj_t BgL_portz00_2177;

				{	/* Pp/circle.scm 336 */
					obj_t BgL_tmpz00_2912;

					BgL_tmpz00_2912 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_portz00_2177 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2912);
				}
				BGl_circlezd2writezf2displayz20zz__pp_circlez00(BgL_objz00_14,
					BgL_portz00_2177, ((bool_t) 0));
				bgl_display_char(((unsigned char) 10), BgL_portz00_2177);
				return BgL_objz00_14;
			}
		}

	}



/* &c-debugging-print */
	obj_t BGl_z62czd2debuggingzd2printz62zz__pp_circlez00(obj_t BgL_envz00_2447,
		obj_t BgL_objz00_2448)
	{
		{	/* Pp/circle.scm 335 */
			return dprint(BgL_objz00_2448);
		}

	}



/* jvm-debugging-print */
	BGL_EXPORTED_DEF char *BGl_jvmzd2debuggingzd2printz00zz__pp_circlez00(obj_t
		BgL_objz00_15, int BgL_printerzd2numzd2_16)
	{
		{	/* Pp/circle.scm 344 */
			{	/* Pp/circle.scm 346 */
				obj_t BgL_zc3z04anonymousza31353ze3z87_2449;

				BgL_zc3z04anonymousza31353ze3z87_2449 =
					MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31353ze3ze5zz__pp_circlez00,
					(int) (0L), (int) (2L));
				PROCEDURE_SET(BgL_zc3z04anonymousza31353ze3z87_2449,
					(int) (0L), BINT(BgL_printerzd2numzd2_16));
				PROCEDURE_SET(BgL_zc3z04anonymousza31353ze3z87_2449,
					(int) (1L), BgL_objz00_15);
				return
					BSTRING_TO_STRING
					(BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00
					(BgL_zc3z04anonymousza31353ze3z87_2449));
			}
		}

	}



/* &jvm-debugging-print */
	obj_t BGl_z62jvmzd2debuggingzd2printz62zz__pp_circlez00(obj_t BgL_envz00_2456,
		obj_t BgL_objz00_2457, obj_t BgL_printerzd2numzd2_2458)
	{
		{	/* Pp/circle.scm 344 */
			{	/* Pp/circle.scm 346 */
				char *BgL_tmpz00_2928;

				{	/* Pp/circle.scm 346 */
					int BgL_auxz00_2929;

					{	/* Pp/circle.scm 346 */
						obj_t BgL_tmpz00_2930;

						if (INTEGERP(BgL_printerzd2numzd2_2458))
							{	/* Pp/circle.scm 346 */
								BgL_tmpz00_2930 = BgL_printerzd2numzd2_2458;
							}
						else
							{
								obj_t BgL_auxz00_2933;

								BgL_auxz00_2933 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string1834z00zz__pp_circlez00, BINT(11316L),
									BGl_string1848z00zz__pp_circlez00,
									BGl_string1849z00zz__pp_circlez00, BgL_printerzd2numzd2_2458);
								FAILURE(BgL_auxz00_2933, BFALSE, BFALSE);
							}
						BgL_auxz00_2929 = CINT(BgL_tmpz00_2930);
					}
					BgL_tmpz00_2928 =
						BGl_jvmzd2debuggingzd2printz00zz__pp_circlez00(BgL_objz00_2457,
						BgL_auxz00_2929);
				}
				return string_to_bstring(BgL_tmpz00_2928);
			}
		}

	}



/* &<@anonymous:1353> */
	obj_t BGl_z62zc3z04anonymousza31353ze3ze5zz__pp_circlez00(obj_t
		BgL_envz00_2459)
	{
		{	/* Pp/circle.scm 346 */
			{	/* Pp/circle.scm 346 */
				int BgL_printerzd2numzd2_2460;
				obj_t BgL_objz00_2461;

				BgL_printerzd2numzd2_2460 =
					CINT(PROCEDURE_REF(BgL_envz00_2459, (int) (0L)));
				BgL_objz00_2461 = PROCEDURE_REF(BgL_envz00_2459, (int) (1L));
				{	/* Pp/circle.scm 346 */
					obj_t BgL_aux1052z00_2491;

					BgL_aux1052z00_2491 = BINT(BgL_printerzd2numzd2_2460);
					{	/* Pp/circle.scm 346 */
						obj_t BgL_fun1356z00_2492;

						switch ((long) CINT(BgL_aux1052z00_2491))
							{
							case 1L:

								BgL_fun1356z00_2492 = BGl_writezd2envzd2zz__r4_output_6_10_3z00;
								break;
							case 2L:

								BgL_fun1356z00_2492 =
									BGl_writezd2circlezd2envz00zz__pp_circlez00;
								break;
							case 3L:

								BgL_fun1356z00_2492 =
									BGl_displayzd2circlezd2envz00zz__pp_circlez00;
								break;
							default:
								BgL_fun1356z00_2492 =
									BGl_displayzd2envzd2zz__r4_output_6_10_3z00;
							}
						{	/* Pp/circle.scm 352 */
							obj_t BgL_arg1355z00_2493;

							{	/* Pp/circle.scm 352 */
								obj_t BgL_tmpz00_2948;

								BgL_tmpz00_2948 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_arg1355z00_2493 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2948);
							}
							return
								BGL_PROCEDURE_CALL2(BgL_fun1356z00_2492, BgL_objz00_2461,
								BgL_arg1355z00_2493);
						}
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__pp_circlez00(void)
	{
		{	/* Pp/circle.scm 26 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__pp_circlez00(void)
	{
		{	/* Pp/circle.scm 26 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__pp_circlez00(void)
	{
		{	/* Pp/circle.scm 26 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__pp_circlez00(void)
	{
		{	/* Pp/circle.scm 26 */
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1850z00zz__pp_circlez00));
			BGl_modulezd2initializa7ationz75zz__hashz00(254893342L,
				BSTRING_TO_STRING(BGl_string1850z00zz__pp_circlez00));
			return
				BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(86988580L,
				BSTRING_TO_STRING(BGl_string1850z00zz__pp_circlez00));
		}

	}

#ifdef __cplusplus
}
#endif
